Debian Bug report logs - #458665
gnome-subtitles: FTBFS: error CS0006: cannot find metadata file `Mono.Posix.dll'

version graph

Package: gnome-subtitles; Maintainer for gnome-subtitles is Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>; Source for gnome-subtitles is src:gnome-subtitles.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 2 Jan 2008 10:57:06 UTC

Severity: serious

Tags: patch

Found in version gnome-subtitles/0.7-2

Fixed in version gnome-subtitles/0.7-2.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tiago Bortoletto Vaz <tiago@debian-ba.org>:
Bug#458665; Package gnome-subtitles. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Tiago Bortoletto Vaz <tiago@debian-ba.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gnome-subtitles: FTBFS: error CS0006: cannot find metadata file `Mono.Posix.dll'
Date: Wed, 2 Jan 2008 11:53:12 +0100
Package: gnome-subtitles
version: 0.7-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080101 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > make[2]: Entering directory `/build/user/gnome-subtitles-0.7/src'
 > /usr/bin/gmcs  -target:winexe -out:./../build/gnome-subtitles.exe -r:./../build/sublib.dll -r:./../build/GStreamerPlaybin.dll -r:Mono.Posix.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glade-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/art-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gconf-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gconf-sharp-peditors.dll   -resource:./Glade/AboutDialog.glade -resource:./Glade/EncodingsDialog.glade -resource:./Glade/ErrorDialog.glade -resource:./Glade/FileOpenDialog.glade -resource:./Glade/FilePropertiesDialog.glade -resource:./Glade/FileSaveAsDialog.glade -resource:./Glade/HeadersDialog.glade -resource:./Glade/MainWindow.glade -resource:./Glade/PreferencesDialog.glade -resource:./Glade/ReportBugWindow.glade -resource:./Glade/SearchDialog.glade -resource:./Glade/TimingsAdjustDialog.glade -resource:./Glade/TimingsShiftDialog.glade -resource:./Glade/VideoOpenDialog.glade -resource:./../data/gnome-subtitles.png -resource:./../data/gnome-subtitles-logo.png -resource:./../data/video-set-subtitle-end-16x.png -resource:./../data/video-set-subtitle-start-16x.png ./GnomeSubtitles/Commands/*.cs ./GnomeSubtitles/Core/*.cs ./GnomeSubtitles/Dialogs/*.cs ./GnomeSubtitles/Exception/*.cs ./GnomeSubtitles/Execution/*.cs ./GnomeSubtitles/SubtitleEdit/*.cs ./GnomeSubtitles/SubtitleView/*.cs ./GnomeSubtitles/Video/*.cs
 > error CS0006: cannot find metadata file `Mono.Posix.dll'
 > Compilation failed: 1 error(s), 0 warnings
 > make[2]: *** [../build/gnome-subtitles.exe] Error 1
 > make[2]: Leaving directory `/build/user/gnome-subtitles-0.7/src'
 > make[1]: *** [all-recursive] Error 1
 > make[1]: Leaving directory `/build/user/gnome-subtitles-0.7'
 > make: *** [debian/stamp-makefile-build] Error 2
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2008/01/01

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Tiago Bortoletto Vaz <tiago@debian-ba.org>:
Bug#458665; Package gnome-subtitles. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Tiago Bortoletto Vaz <tiago@debian-ba.org>. Full text and rfc822 format available.

Message #10 received at 458665@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 458665@bugs.debian.org
Subject: gnome-subtitles: diff for NMU version 0.7-2.1
Date: Sun, 13 Jan 2008 17:08:33 +0100
[Message part 1 (text/plain, inline)]
tags 458665 + patch
thanks

Hi,

Attached is the diff for my gnome-subtitles 0.7-2.1 NMU.
[gnome-subtitles-0.7-2.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 16:15:05 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 458665-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 458665-close@bugs.debian.org
Subject: Bug#458665: fixed in gnome-subtitles 0.7-2.1
Date: Sun, 13 Jan 2008 16:17:03 +0000
Source: gnome-subtitles
Source-Version: 0.7-2.1

We believe that the bug you reported is fixed in the latest version of
gnome-subtitles, which is due to be installed in the Debian FTP archive:

gnome-subtitles_0.7-2.1.diff.gz
  to pool/main/g/gnome-subtitles/gnome-subtitles_0.7-2.1.diff.gz
gnome-subtitles_0.7-2.1.dsc
  to pool/main/g/gnome-subtitles/gnome-subtitles_0.7-2.1.dsc
gnome-subtitles_0.7-2.1_i386.deb
  to pool/main/g/gnome-subtitles/gnome-subtitles_0.7-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458665@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated gnome-subtitles package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 16:59:36 +0100
Source: gnome-subtitles
Binary: gnome-subtitles
Architecture: source i386
Version: 0.7-2.1
Distribution: unstable
Urgency: low
Maintainer: Tiago Bortoletto Vaz <tiago@debian-ba.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 gnome-subtitles - Subtitles editor for the GNOME Desktop environment
Closes: 458665
Changes: 
 gnome-subtitles (0.7-2.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix FTFBS bug.
   * Add missing build-depends on libmono2.0-cil (Closes: #458665).
Files: 
 401c0a349997ee5d62e0366a95593fc0 867 gnome extra gnome-subtitles_0.7-2.1.dsc
 92476e6f26e5ff2ea79104f2e3883091 2717 gnome extra gnome-subtitles_0.7-2.1.diff.gz
 9ab996717d27f8994b627d9408c4f139 261102 gnome extra gnome-subtitles_0.7-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFHijgLn3j4POjENGERAvflAJwIEslQwYpOh6MMekd2NaqSVeoKKACaAwpo
AFkBsuciveluL4B0Jet44X8=
=rBX7
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#458665; Package gnome-subtitles. Full text and rfc822 format available.

Acknowledgement sent to Tiago Bortoletto Vaz <tiago@debian-ba.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #22 received at 458665@bugs.debian.org (full text, mbox):

From: Tiago Bortoletto Vaz <tiago@debian-ba.org>
To: Ana Guerrero <ana@debian.org>, 458665@bugs.debian.org
Subject: Re: Bug#458665: gnome-subtitles: diff for NMU version 0.7-2.1
Date: Mon, 14 Jan 2008 08:12:40 -0300
[Message part 1 (text/plain, inline)]
Ok, thanks Ana. I'll apply it for 0.7.1-1 version of g-s.

On Sun, Jan 13, 2008 at 05:08:33PM +0100, Ana Guerrero wrote:
> tags 458665 + patch
> thanks
> 
> Hi,
> 
> Attached is the diff for my gnome-subtitles 0.7-2.1 NMU.

> diff -u gnome-subtitles-0.7/debian/control gnome-subtitles-0.7/debian/control
> --- gnome-subtitles-0.7/debian/control
> +++ gnome-subtitles-0.7/debian/control
> @@ -2,7 +2,7 @@
>  Section: gnome
>  Priority: extra
>  Maintainer: Tiago Bortoletto Vaz <tiago@debian-ba.org>
> -Build-Depends: autotools-dev, libmono-dev, libgtk2.0-dev, mono-gmcs, mono-mcs, gtk-sharp2, gnome-doc-utils (>= 0.3.2), libxml-parser-perl, gnome-sharp2, scrollkeeper, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, debhelper (>= 5), cdbs, dpatch
> +Build-Depends: autotools-dev, libmono-dev, libgtk2.0-dev, mono-gmcs, mono-mcs, gtk-sharp2, gnome-doc-utils (>= 0.3.2), libxml-parser-perl, gnome-sharp2, scrollkeeper, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, debhelper (>= 5), cdbs, dpatch, libmono2.0-cil
>  Standards-Version: 3.7.3
>  
>  Package: gnome-subtitles
> diff -u gnome-subtitles-0.7/debian/changelog gnome-subtitles-0.7/debian/changelog
> --- gnome-subtitles-0.7/debian/changelog
> +++ gnome-subtitles-0.7/debian/changelog
> @@ -1,3 +1,10 @@
> +gnome-subtitles (0.7-2.1) unstable; urgency=low
> +
> +  * Non-maintainer upload to fix FTFBS bug.
> +  * Add missing build-depends on libmono2.0-cil (Closes: #458665). 
> +
> + -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 13 Jan 2008 16:59:36 +0100
> +
>  gnome-subtitles (0.7-2) unstable; urgency=low
>  
>    * Set MONO_SHARED_DIR=$(CURDIR) to avoid writing in ~/.wapi. Thanks to Kurt


-- 
Tiago Bortoletto Vaz
0xA504FECA - http://pgp.mit.edu
http://tiagovaz.org
 
 "É preciso não ter medo,
 é preciso ter a coragem de dizer."

 Rondó da Liberdade, Carlos Marighella
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Feb 2008 07:35:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:36:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.